(*************************************************************
 *                Auto-assemblage de graphes                 *
 *************************************************************
   Auteur  : Fabien TARISSAN
   Fichier : param.ml
   Date    : 09/06/04
 ***************************************************************
   Description : Stockage des paramtres 
 ***************************************************************)


(* UTILISATION *)
(***************)

let max_attempt x = x*x;;
let time_pressed = 0.1;;

(* LES COULEURS *)
(****************)

let fond = Graphics.rgb  255 255 255;;
let fond_query = fond;;

let contour = Graphics.black;;

let fond_choix = Graphics.white;;

let query_vertice = Graphics.rgb 128 228 228;;
let query_edges = Graphics.rgb 90 90 90;;
let final_mark = Graphics.red;;

let ecriture = contour;;

let color_act = Graphics.red;;     (* tat actif *)
let color_upd = Graphics.green;;   (* tat update *)

let color_alarme = Graphics.cyan;;
let color_final = Graphics.yellow;;

let link_span = Graphics.red;;  (* lien dans arbre de recouvrement *)
let link_cycl = Graphics.blue;; (* lien cyclique *)


(* LES TAILLES *)
(***************)

let size_window_x = 550;;  (* largeur de la fentre *)
let size_window_y = 370;;  (* hauteur de la fentre *)

let size_querywindow_x = 400;;  (* largeur de la sous-fentre *)
let size_querywindow_y = 270;;  (* hauteur de la sous-fentre *)

let size_circle = 5;;      (* taille d'un agent *)
let size_mode = 4;;        (* taille du cercle reprsentant le mode *)

let size_querycircle = 9;; (* taille d'un agent pour la phase
			      d'apprentisage des rgles *)

let choice_width = 150;;   (* largeur de la fentre de choix *)
let choice_heigth = 30;;   (* hauteur de la fentre de choix *)


(* LES PARAMETRES QUI EN DEPENDENT *)
(***********************************)


  (* rectangle pour afficher le choix *)
let rect_choice_x = size_window_x /2 - 85;; (* coin infrieur gauche *)
let rect_choice_y = size_window_y - 55;;


  (* pour crire le choix *)
let choice_x = rect_choice_x + 20;;
let choice_y = rect_choice_y + 10;;

  (* pour marquer un graphe final *)
let final_x = size_querywindow_x / 2 - 12;; 
let final_y = 20;;



(* LES DEPLACEMENTS *)
(********************)

let ecart_equi = 2. *. (float size_circle);;

let coeff_join = 0.0008 ;;
let coeff_self = 0.0008 ;;

let coeff_rep = 0.3;;
let coeff_frot = 0.9;;

let dist_perc = 15. *. (float size_circle);;
let dist_link = 25. *. (float size_circle);;

let vitesse_con_min = 0.3;;
let vitesse_rech_min = 8.;;

let vitesse_up = 1.1;;



(* POUR PROPAGATION DE L'ALARME *)
(********************************)

let skip_period = 0.1;;
let link_max = 25. *. (float size_circle);;
